searchNodes=[{"doc":"Simple crypto helpers for Elixir.","ref":"SimpleCrypto.html","title":"SimpleCrypto","type":"module"},{"doc":"Decrypts str using key as the decryption key. Example iex&gt; SimpleCrypto . decrypt ( &quot;qCgs4rfReY5nTX39uHwjww==&quot; , &quot;secret key&quot; ) &quot;Hi there&quot;","ref":"SimpleCrypto.html#decrypt/2","title":"SimpleCrypto.decrypt/2","type":"function"},{"doc":"Encrypts str using key as the encryption key. Example iex&gt; SimpleCrypto . encrypt ( &quot;Hi there&quot; , &quot;secret key&quot; ) &quot;qCgs4rfReY5nTX39uHwjww==&quot;","ref":"SimpleCrypto.html#encrypt/2","title":"SimpleCrypto.encrypt/2","type":"function"},{"doc":"Use key to generate a hash value of str using the HMAC method. Example iex&gt; SimpleCrypto . hmac ( &quot;HMAC me now!&quot; , &quot;secret key&quot; ) &quot;E7235176D81E29EC202B117324C7B3A2A6180F2A2A163D79E5A6BB58E7A61A7B&quot;","ref":"SimpleCrypto.html#hmac/2","title":"SimpleCrypto.hmac/2","type":"function"},{"doc":"Use key to generate a base64-encoded hash value of str using the HMAC method Example iex&gt; SimpleCrypto . hmac_base64 ( &quot;HMAC and base64 me now!&quot; , &quot;secret key&quot; ) &quot;Xqsja2bp+jfleCkl4bRFZoyljM2RL0DC4PNBkTtKXrk=&quot;","ref":"SimpleCrypto.html#hmac_base64/2","title":"SimpleCrypto.hmac_base64/2","type":"function"},{"doc":"Generate a random string of length length that is suitable to use as an easily copy/pastable ID (no hyphens or other problematic characters). Example iex&gt; SimpleCrypto . id_rand_str ( 12 ) &quot;SWm6fDWvd4id&quot;","ref":"SimpleCrypto.html#id_rand_str/1","title":"SimpleCrypto.id_rand_str/1","type":"function"},{"doc":"Generate a random string of length length that is suitable to use as an OTP (One-time pad) code. Example iex&gt; SimpleCrypto . otp_rand_str ( 16 ) &quot;UXGMUXNUANHONKZR&quot;","ref":"SimpleCrypto.html#otp_rand_str/1","title":"SimpleCrypto.otp_rand_str/1","type":"function"},{"doc":"DEPRECATED: Use pad_by_width/3 instead.","ref":"SimpleCrypto.html#pad/3","title":"SimpleCrypto.pad/3","type":"function"},{"doc":"Pad the end of str using padding , so that the total length becomes a multiple of width . Example iex&gt; SimpleCrypto . pad_by_width ( &quot;The length of this string is 76 before padding, 4 less than a multiple of 16&quot; , 16 , &quot;.&quot; ) &quot;The length of this string is 76 before padding, 4 less than a multiple of 16....&quot;","ref":"SimpleCrypto.html#pad_by_width/3","title":"SimpleCrypto.pad_by_width/3","type":"function"},{"doc":"Generate a random string of length length, consisting only of integers. Example iex&gt; SimpleCrypto . rand_int_str ( 6 ) &quot;811238&quot;","ref":"SimpleCrypto.html#rand_int_str/1","title":"SimpleCrypto.rand_int_str/1","type":"function"},{"doc":"Generate a random string of length length. Example iex&gt; SimpleCrypto . rand_str ( 32 ) &quot;rvbAtDMdVPJu2J-QDyAxgOLAL0LQWL0w&quot;","ref":"SimpleCrypto.html#rand_str/1","title":"SimpleCrypto.rand_str/1","type":"function"},{"doc":"Hashes str using the SHA256 algorithm. Example iex&gt; SimpleCrypto . sha256 ( &quot;Turn me into SHA256&quot; ) &quot;87A3AABED406EFBCD4956E2E32E75948DB88E7ED35CACD4D8B66669EA849C102&quot;","ref":"SimpleCrypto.html#sha256/1","title":"SimpleCrypto.sha256/1","type":"function"},{"doc":"Hashes str using the SHA256 algorithm, then base64-encodes it. Example iex&gt; SimpleCrypto . sha256_base64 ( &quot;Turn me into base64-encoded SHA256&quot; ) &quot;/UWKWh0NJFgCf3mWSIJiDuJA9HCY94T2l/XJ+CyreAM=&quot;","ref":"SimpleCrypto.html#sha256_base64/1","title":"SimpleCrypto.sha256_base64/1","type":"function"},{"doc":"SimpleCrypto Simple crypto helpers for Elixir. Requires Elixir 1.12 since it uses the new crypto API in OTP22.","ref":"readme.html","title":"SimpleCrypto","type":"extras"},{"doc":"The package can be installed by adding simple_crypto to your list of dependencies in mix.exs : def deps do [ { :simple_crypto , &quot;~&gt; 1.0.4&quot; } ] end","ref":"readme.html#installation","title":"SimpleCrypto - Installation","type":"extras"},{"doc":"iex(1)&gt; SimpleCrypto . encrypt ( &quot;Hi there&quot; , &quot;secret key&quot; ) &quot;qCgs4rfReY5nTX39uHwjww==&quot; iex(2)&gt; SimpleCrypto . decrypt ( &quot;qCgs4rfReY5nTX39uHwjww==&quot; , &quot;secret key&quot; ) &quot;Hi there&quot; iex(3)&gt; SimpleCrypto . sha256 ( &quot;Turn me into SHA256&quot; ) &quot;87A3AABED406EFBCD4956E2E32E75948DB88E7ED35CACD4D8B66669EA849C102&quot; iex(4)&gt; SimpleCrypto . hmac ( &quot;HMAC me now!&quot; , &quot;secret key&quot; ) &quot;E7235176D81E29EC202B117324C7B3A2A6180F2A2A163D79E5A6BB58E7A61A7B&quot; iex(5)&gt; SimpleCrypto . rand_str ( 32 ) &quot;rvbAtDMdVPJu2J-QDyAxgOLAL0LQWL0w&quot; iex(6)&gt; SimpleCrypto . rand_int_str ( 6 ) &quot;811238&quot; iex(7)&gt; SimpleCrypto . otp_rand_str ( 16 ) &quot;UXGMUXNUANHONKZR&quot; iex(8)&gt; SimpleCrypto . id_rand_str ( 12 ) &quot;SWm6fDWvd4id&quot; iex(9)&gt; SimpleCrypto . pad_by_width ( &quot;The length of this string is 76 before padding, 4 less than a multiple of 16&quot; , 16 , &quot;.&quot; ) &quot;The length of this string is 76 before padding, 4 less than a multiple of 16....&quot; Full documentation can be found at https://hexdocs.pm/simple_crypto .","ref":"readme.html#basic-usage","title":"SimpleCrypto - Basic Usage","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Added sha256_base64/1","ref":"changelog.html#1-0-8-2021-12-13","title":"Changelog - 1.0.8 (2021-12-13)","type":"extras"},{"doc":"Added hmac_base64/2","ref":"changelog.html#1-0-7-2021-11-23","title":"Changelog - 1.0.7 (2021-11-23)","type":"extras"},{"doc":"Fixed Elixir version required","ref":"changelog.html#1-0-6-2021-11-23","title":"Changelog - 1.0.6 (2021-11-23)","type":"extras"},{"doc":"Dynamically use the correct function from OTP, so we can support older versions of Elixir/OTP as well","ref":"changelog.html#1-0-5-2021-11-23","title":"Changelog - 1.0.5 (2021-11-23)","type":"extras"},{"doc":"Fixed bug with pad/3 that was introduced when this library was extracted from internal code. In that process, our internal pad logic was replaced with String.pad_trailing/3 in an attempt to clean up the code, without remembering that pad/3 actually pads by a multiple of the length/width parameter. This caused decryption of strings longer than 13 characters to fail. Introduced the more explicitly named pad_by_width/3 Deprecated the poorly named pad/3","ref":"changelog.html#1-0-4-2021-09-29","title":"Changelog - 1.0.4 (2021-09-29)","type":"extras"},{"doc":"Initial release Use new crypto functions in OTP22","ref":"changelog.html#1-0-0-2021-09-22","title":"Changelog - 1.0.0 (2021-09-22)","type":"extras"},{"doc":"Copyright (c) 2021-present Stian Grytøyr Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"LICENSE","type":"extras"}]